Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.aci.businessobjects
Class LicensedFunctionality

    java.lang.Object
      com.autonomy.aci.businessobjects.AciBusinessObject
          com.autonomy.aci.businessobjects.LicensedFunctionality

All Implemented Interfaces:
  java.io.Serializable

public class LicensedFunctionality
extends AciBusinessObject

Bean used to store information about which functionalities an IDOL server is licensed for.

See Also:
  Serialized Form

Constructor Summary
`LicensedFunctionality()`

Method Summary
`boolean` | `isAgents()` Whether or not IDOL is licensed for Agents.
`boolean` | `isAlerting()` Whether or not IDOL is licensed for Alerting.
`boolean` | `isCategorisation()` Whether or not IDOL is licensed for Categorisation.
`boolean` | `isChannels()` Whether or not IDOL is licensed for Channels.
`boolean` | `isClustering()` Whether or not IDOL is licensed for Clustering.
`boolean` | `isCollaboration()` Whether or not IDOL is licensed for Collaboration.
`boolean` | `isEduction()` Whether or not IDOL is licensed for Eduction.
`boolean` | `isHyperlinking()` Whether or not IDOL is licensed for Hyperlinking.
`boolean` | `isMailing()` Whether or not IDOL is licensed for Mailing.
`boolean` | `isProfiling()` Whether or not IDOL is licensed for Profiling.
`boolean` | `isRetrievalConcept()` Whether or not IDOL is licensed for Concept Retrieval.
`boolean` | `isRetrievalLite()` Whether or not IDOL is licensed for Lite Retrieval.
`boolean` | `isRetrievalParametric()` Whether or not IDOL is licensed for Parametric Retrieval.
`boolean` | `isSummarisation()` Whether or not IDOL is licensed for Summarisation.
`boolean` | `isTaxonomyGeneration()` Whether or not IDOL is licensed for Taxonomy Generation.
`void` | `setAgents(boolean agents)` Set whether or not IDOL is licensed for Agents.
`void` | `setAlerting(boolean alerting)` Set whether or not IDOL is licensed for Alerting.
`void` | `setCategorisation(boolean categorisation)` Set whether or not IDOL is licensed for Categorisation.
`void` | `setChannels(boolean channels)` Set whether or not IDOL is licensed for Channels.
`void` | `setClustering(boolean clustering)` Set whether or not IDOL is licensed for Clustering.
`void` | `setCollaboration(boolean collaboration)` Set whether or not IDOL is licensed for Collaboration.
`void` | `setEduction(boolean eduction)` Set whether or not IDOL is licensed for Eduction.
`void` | `setHyperlinking(boolean hyperlinking)` Set whether or not IDOL is licensed for Hyperlinking.
`void` | `setMailing(boolean mailing)` Set whether or not IDOL is licensed for Mailing.
`void` | `setProfiling(boolean profiling)` Set whether or not IDOL is licensed for Profiling.
`void` | `setRetrievalConcept(boolean retrievalConcept)` Set whether or not IDOL is licensed for Concept Retrieval.
`void` | `setRetrievalLite(boolean retrievalLite)` Set whether or not IDOL is licensed for Lite Retrieval.
`void` | `setRetrievalParametric(boolean retrievalParametric)` Set whether or not IDOL is licensed for Parametric Retrieval.
`void` | `setSummarisation(boolean summarisation)` Set whether or not IDOL is licensed for Summarisation.
`void` | `setTaxonomyGeneration(boolean taxonomyGeneration)` Set whether or not IDOL is licensed for Taxonomy Generation.
`java.lang.String` | `toString()`

Methods inherited from class com.autonomy.aci.businessobjects.AciBusinessObject
`getUID, setUID`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LicensedFunctionality

    public LicensedFunctionality()

Method Detail

### isTaxonomyGeneration

    public boolean isTaxonomyGeneration()

  Whether or not IDOL is licensed for Taxonomy Generation.

### isSummarisation

    public boolean isSummarisation()

  Whether or not IDOL is licensed for Summarisation.

### isRetrievalParametric

    public boolean isRetrievalParametric()

  Whether or not IDOL is licensed for Parametric Retrieval.

### isRetrievalLite

    public boolean isRetrievalLite()

  Whether or not IDOL is licensed for Lite Retrieval.

### isRetrievalConcept

    public boolean isRetrievalConcept()

  Whether or not IDOL is licensed for Concept Retrieval.

### isProfiling

    public boolean isProfiling()

  Whether or not IDOL is licensed for Profiling.

### isMailing

    public boolean isMailing()

  Whether or not IDOL is licensed for Mailing.

### isHyperlinking

    public boolean isHyperlinking()

  Whether or not IDOL is licensed for Hyperlinking.

### isEduction

    public boolean isEduction()

  Whether or not IDOL is licensed for Eduction.

### isCollaboration

    public boolean isCollaboration()

  Whether or not IDOL is licensed for Collaboration.

### isClustering

    public boolean isClustering()

  Whether or not IDOL is licensed for Clustering.

### isChannels

    public boolean isChannels()

  Whether or not IDOL is licensed for Channels.

### isCategorisation

    public boolean isCategorisation()

  Whether or not IDOL is licensed for Categorisation.

### isAlerting

    public boolean isAlerting()

  Whether or not IDOL is licensed for Alerting.

### isAgents

    public boolean isAgents()

  Whether or not IDOL is licensed for Agents.

### setTaxonomyGeneration

    public void setTaxonomyGeneration(boolean taxonomyGeneration)

  Set whether or not IDOL is licensed for Taxonomy Generation.

  Parameters:
    `taxonomyGeneration` - whether or not IDOL is licensed for Taxonomy Generation.

### setSummarisation

    public void setSummarisation(boolean summarisation)

  Set whether or not IDOL is licensed for Summarisation.

  Parameters:
    `summarisation` - whether or not IDOL is licensed for Summarisation.

### setRetrievalParametric

    public void setRetrievalParametric(boolean retrievalParametric)

  Set whether or not IDOL is licensed for Parametric Retrieval.

  Parameters:
    `retrievalParametric` - whether or not IDOL is licensed for Parametric Retrieval.

### setRetrievalLite

    public void setRetrievalLite(boolean retrievalLite)

  Set whether or not IDOL is licensed for Lite Retrieval.

  Parameters:
    `retrievalLite` - whether or not IDOL is licensed for Lite Retrieval.

### setRetrievalConcept

    public void setRetrievalConcept(boolean retrievalConcept)

  Set whether or not IDOL is licensed for Concept Retrieval.

  Parameters:
    `retrievalConcept` - whether or not IDOL is licensed for Concept Retrieval.

### setProfiling

    public void setProfiling(boolean profiling)

  Set whether or not IDOL is licensed for Profiling.

  Parameters:
    `profiling` - whether or not IDOL is licensed for Profiling.

### setMailing

    public void setMailing(boolean mailing)

  Set whether or not IDOL is licensed for Mailing.

  Parameters:
    `mailing` - whether or not IDOL is licensed for Mailing.

### setHyperlinking

    public void setHyperlinking(boolean hyperlinking)

  Set whether or not IDOL is licensed for Hyperlinking.

  Parameters:
    `hyperlinking` - whether or not IDOL is licensed for Hyperlinking.

### setEduction

    public void setEduction(boolean eduction)

  Set whether or not IDOL is licensed for Eduction.

  Parameters:
    `eduction` - whether or not IDOL is licensed for Eduction.

### setCollaboration

    public void setCollaboration(boolean collaboration)

  Set whether or not IDOL is licensed for Collaboration.

  Parameters:
    `collaboration` - whether or not IDOL is licensed for Collaboration.

### setClustering

    public void setClustering(boolean clustering)

  Set whether or not IDOL is licensed for Clustering.

  Parameters:
    `clustering` - whether or not IDOL is licensed for Clustering.

### setChannels

    public void setChannels(boolean channels)

  Set whether or not IDOL is licensed for Channels.

  Parameters:
    `channels` - whether or not IDOL is licensed for Channels.

### setCategorisation

    public void setCategorisation(boolean categorisation)

  Set whether or not IDOL is licensed for Categorisation.

  Parameters:
    `categorisation` - whether or not IDOL is licensed for Categorisation.

### setAlerting

    public void setAlerting(boolean alerting)

  Set whether or not IDOL is licensed for Alerting.

  Parameters:
    `alerting` - whether or not IDOL is licensed for Alerting.

### setAgents

    public void setAgents(boolean agents)

  Set whether or not IDOL is licensed for Agents.

  Parameters:
    `agents` - whether or not IDOL is licensed for Agents.

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD